General Leads
Create a general lead
Creates a new general lead. At least one of email or phone is required.
Safe limits:
- customerName: max 200 chars
- email: max 200 chars
- phone: max 30 chars
- jobDescription: max 5,000 chars
- postalCode: max 10 chars
- jobAmount: max 100,000,000
POST
/
general-leads
Create a general lead
curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/general-leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"jobAmount": 123,
"postalCode": "<string>",
"jobDescription": "<string>",
"referrerVendorId": 123,
"notifyCustomer": true,
"createLeadInPipedrive": true
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads"
payload = {
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"jobAmount": 123,
"postalCode": "<string>",
"jobDescription": "<string>",
"referrerVendorId": 123,
"notifyCustomer": True,
"createLeadInPipedrive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerName: '<string>',
email: '<string>',
phone: '<string>',
jobAmount: 123,
postalCode: '<string>',
jobDescription: '<string>',
referrerVendorId: 123,
notifyCustomer: true,
createLeadInPipedrive: true
})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"jobDescription": "<string>",
"jobAmount": 123,
"paidAmount": 123,
"detailedProjectDescription": "<string>",
"generalLeadStatus": "<string>",
"specificLeadStatus": "<string>",
"leadSourceType": "<string>",
"assignedVendorId": 123,
"assignedVendorName": "<string>",
"referrerVendorId": 123,
"referrerVendorName": "<string>",
"postalCode": "<string>",
"city": "<string>",
"serviceBoundary": {
"id": 123,
"name": "<string>",
"urlPath": "<string>",
"cityName": "<string>"
},
"contactTime": "<string>",
"contactMethod": "<string>",
"leadTimeframe": "<string>",
"quoteTimeframe": "<string>",
"projectStage": "<string>",
"renofindLeadType": "<string>",
"jobBudget": 123,
"paymentStatus": "<string>",
"phoneLead": true,
"externalNotes": "<string>",
"essentialInternalNotes": "<string>",
"requiresAction": true,
"requireActionReason": "<string>",
"endCustomer": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"message": "<string>"
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Body
application/json
Form for creating a new general lead.
At least one of email or phone is required.
Maximum string length:
200Maximum string length:
200Maximum string length:
30Required range:
x <= 100000000Maximum string length:
10Maximum string length:
5000⌘I
Create a general lead

